#pragma once

#include "CoreMinimal.h"
#include "Presenter.h"
#include "UObject/SoftObjectPtr.h"
#include "NewsPresenter.generated.h"

class UUserWidget;
class UInboxItemViewData;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIPRESENTERS_API UNewsPresenter : public UPresenter
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> NewsWidgetClass;

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<UInboxItemViewData*> _newsData;

private:
	UFUNCTION(BlueprintCallable)
	void OnTabSelected(const int32 selectedTab);

	UFUNCTION(BlueprintCallable)
	void OnRedirectClicked();

	UFUNCTION(BlueprintCallable)
	void OnBackButtonClicked();

public:
	UNewsPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UNewsPresenter) { return 0; }
